# Class CharBufferNode

java.lang.Object
nu.validator.saxtree.Node
nu.validator.saxtree.CharBufferNode

All Implemented Interfaces:
  `Locator2, Locator`

Direct Known Subclasses:
  `Characters, Comment, IgnorableWhitespace`

public abstract class CharBufferNode extends Node
A common superclass for character buffer node classes.

Version:
  $Id$
Author:
  hsivonen

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final char[]`
`buffer`
The buffer.

## Method Summary

Modifier and Type
Method
Description
`char[]`
`getBuffer()`
Returns the buffer.
`String`
`toString()`
Returns the wrapped buffer as a string.

### Methods inherited from class Node

`detach, getAttributes, getColumnNumber, getData, getEncoding, getFirstChild, getLineNumber, getLocalName, getName, getNextSibling, getNodeType, getParentNode, getPrefixMappings, getPreviousSibling, getPublicId, getPublicIdentifier, getQName, getSystemId, getSystemIdentifier, getTarget, getUri, getXMLVersion`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### buffer

protected final char[] buffer
The buffer.

## Method Details

### getBuffer

public char[] getBuffer()
Returns the buffer.

Returns:
  the buffer

### toString

public String toString()
Returns the wrapped buffer as a string.

Overrides:
  `toString` in class `Object`
See Also:
  - `Object.toString()`